- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends

# QTextTableFormat Class Reference

Search for all occurrences

## Detailed Description

Definition at line 779 of file qtextformat.h.

`#include <qtextformat.h>`

Inheritance diagram for QTextTableFormat:
[legend]

List of all members.

## Public Member Functions
| QTextTableFormat ()
bool | isValid () const
int | columns () const
void | setColumns (int columns)
void | setColumnWidthConstraints (const QVector< QTextLength > &constraints)
QVector< QTextLength > | columnWidthConstraints () const
void | clearColumnWidthConstraints ()
qreal | cellSpacing () const
void | setCellSpacing (qreal spacing)
qreal | cellPadding () const
void | setCellPadding (qreal padding)
void | setAlignment (Qt::Alignment alignment)
Qt::Alignment | alignment () const
void | setHeaderRowCount (int count)
int | headerRowCount () const
## Protected Member Functions
| QTextTableFormat (const QTextFormat &fmt)
## Friends
class | QTextFormat

## Constructor & Destructor Documentation

QTextTableFormat | ( |  | ) |

QTextTableFormat | ( | const QTextFormat & | fmt | ) | `[explicit, protected]`

## Member Function Documentation

bool isValid | ( |  | ) | const `[inline]`

Search for all occurrences

Reimplemented from QTextFrameFormat.

Definition at line 784 of file qtextformat.h.

    { return isTableFormat(); }

int columns | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 786 of file qtextformat.h.

        { int cols = intProperty(TableColumns); if (cols == 0) cols = 1; return cols; }

void setColumns | ( | int | columns | ) | `[inline]`

Search for all occurrences

Definition at line 822 of file qtextformat.h.

    {
        if (acolumns == 1)
            acolumns = 0;
        setProperty(TableColumns, acolumns);
    }

void setColumnWidthConstraints | ( | const QVector< QTextLength > & | constraints | ) | `[inline]`

Search for all occurrences

Definition at line 790 of file qtextformat.h.

        { setProperty(TableColumnWidthConstraints, constraints); }

QVector<QTextLength> columnWidthConstraints | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 793 of file qtextformat.h.

        { return lengthVectorProperty(TableColumnWidthConstraints); }

void clearColumnWidthConstraints | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 796 of file qtextformat.h.

        { clearProperty(TableColumnWidthConstraints); }

qreal cellSpacing | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 799 of file qtextformat.h.

        { return doubleProperty(TableCellSpacing); }

void setCellSpacing | ( | qreal | spacing | ) | `[inline]`

Search for all occurrences

Definition at line 801 of file qtextformat.h.

        { setProperty(TableCellSpacing, spacing); }

qreal cellPadding | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 804 of file qtextformat.h.

        { return doubleProperty(TableCellPadding); }

void setCellPadding | ( | qreal | padding | ) | `[inline]`

Search for all occurrences

Definition at line 829 of file qtextformat.h.

    { setProperty(TableCellPadding, apadding); }

void setAlignment | ( | Qt::Alignment | alignment | ) | `[inline]`

Search for all occurrences

Definition at line 832 of file qtextformat.h.

    { setProperty(BlockAlignment, int(aalignment)); }

Qt::Alignment alignment | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 809 of file qtextformat.h.

        { return QFlag(intProperty(BlockAlignment)); }

void setHeaderRowCount | ( | int | count | ) | `[inline]`

Search for all occurrences

Definition at line 812 of file qtextformat.h.

        { setProperty(TableHeaderRowCount, count); }

int headerRowCount | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 814 of file qtextformat.h.

        { return intProperty(TableHeaderRowCount); }

## Friends And Related Function Documentation

friend class QTextFormat `[friend]`

Search for all occurrences

Reimplemented from QTextFrameFormat.

Definition at line 819 of file qtextformat.h.

The documentation for this class was generated from the following file:

- QtGui/qtextformat.h

QTextTableFormat QTextTableFormat QTextTableFormat QTextTableFormat QTextTableFormat QTextTableFormat QTextTableFormat QTextTableFormat QTextTableFormat QTextTableFormat
QTextTableFormat QTextTableFormat QTextTableFormat QTextTableFormat QTextTableFormat QTextTableFormat QTextTableFormat QTextTableFormat QTextTableFormat QTextTableFormat